LibreOffice: PackageFolder Service Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Exported Interfaces | List of all members
PackageFolder Service Referencepublished

The PackageFolder service represents a single folder or directory within a Package. More...

`import"PackageFolder.idl";`

Inheritance diagram for PackageFolder:

## Exported Interfaces
interface | com::sun::star::container::XNamed
| This interface is used to get or set the name of the folder. More...
interface | com::sun::star::container::XChild
| The getParent method of XChild will return the PackageFolder that contains this PackageFolder or nothing if this PackageFolder is the root PackageFolder. More...
interface | com::sun::star::container::XNameContainer
| This interface describes all of the PackageFolders and PackageStreams which are contained within this instance of the PackageFolder service. More...
interface | com::sun::star::container::XEnumerationAccess
| This interface will return an implementation of service PackageFolderEnumeration, which represents an iterator over the children of the PackageFolder, or the PackageStreams and PackageFolders contained within this instance of the PackageFolder service. More...
interface | com::sun::star::beans::XPropertySet
| This interface provides access to the properties of the package entry. More...

## Additional Inherited Members
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

The PackageFolder service represents a single folder or directory within a Package.

Instances of this service can only be constructed by an implementation of the Package service and not via the service manager.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

This interface provides access to the properties of the package entry.

Currently, this only supports one entry which is a string called MediaType. This contains the MIME type of the stream (e.g. "text/html"). For PackageFolders, this is always an empty string.

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

The getParent method of XChild will return the PackageFolder that contains this PackageFolder or nothing if this PackageFolder is the root PackageFolder.

setParent will move the PackageFolder.

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

This interface will return an implementation of service PackageFolderEnumeration, which represents an iterator over the children of the PackageFolder, or the PackageStreams and PackageFolders contained within this instance of the PackageFolder service.

This provides a "snapshot" of the contents of the PackageFolder at the time of construction. It is the responsibility of the caller to ensure that any given member of the enumeration refers to a valid PackageStream or PackageFolder.

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

This interface describes all of the PackageFolders and PackageStreams which are contained within this instance of the PackageFolder service.

XElementAccess::getElementType returns service PackageStream XNameAccess::getByName returns either a PackageFolder or a PackageStream as a css::uno::Any XNameAccess::getElementNames returns a uno::Sequence of strings containing the names of all children stored in the PackageFolder

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

This interface is used to get or set the name of the folder.

The documentation for this service was generated from the following file:

- com/sun/star/packages/PackageFolder.idl